security::ServiceAuthorization Interface Reference

Service Authorization Configuration. More...

`import"ServiceAuthorization.idl";`

## Public Member Functions

int | setPassword (in string service, in string password)
| Change a certain service password. More...

## Public Attributes

constant int | ERR_PASSWORD_INVALID = 1
| Invalid password.

## Detailed Description

Service Authorization Configuration.

## Member Function Documentation

## setPassword()

int security::ServiceAuthorization::setPassword | ( | in string | service,
|  | in string | password
| ) |  |

Change a certain service password.

Parameters

  service | The service to set the password for
  password | The new password

Returns
  0 if ok
  ERR_PASSWORD_INVALID if new password cannot be applied

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/ServiceAuthorization.idl